﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class index : System.Web.UI.Page
{
    public string basepath = string.Empty;
    public string domain = string.Empty;
    public string sizeLimit = string.Empty;
    public string allowType = string.Empty;
    public string allowNumber = string.Empty;
    public string sessionId = string.Empty;

    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            basepath = GetConfig("basepath");
            domain = GetConfig("domain");
            sizeLimit = GetConfig("sizeLimit");
            allowType = GetConfig("allowType");
            allowNumber = GetConfig("allowNumber");
            sessionId = Guid.NewGuid().ToString().Replace("-", "");
        }
    }

    private string GetConfig(string key)
    {
        return System.Web.Configuration.WebConfigurationManager.AppSettings[key];
    }
}