﻿<%@ WebHandler Language="C#" Class="delete" %>

using System;
using System.Web;

public class delete : IHttpHandler
{
    public void ProcessRequest(HttpContext context)
    {
        // 这里可以添加删除权限控制

        context.Response.ContentType = "text/plain";

        string thubFilePath = context.Request["filepath"];

        if (GetConfig("serverdelete") == "true" && !string.IsNullOrEmpty(thubFilePath))
        {
            string thubFileName = thubFilePath.Substring(0, thubFilePath.LastIndexOf('.'));
            string fileExt = thubFilePath.Substring(thubFilePath.LastIndexOf('.'));

            if (!string.IsNullOrEmpty(fileExt))
            {
                string uploadpath = GetConfig("uploadpath");
                string physcial_ThubFilePath = context.Request.MapPath("~" + uploadpath + thubFilePath);
                string physcial_FilePath = context.Request.MapPath("~" + uploadpath + thubFileName.Replace("_thub", "") + fileExt);

                try
                {
                    if (System.IO.File.Exists(physcial_ThubFilePath))
                    {
                        System.IO.File.Delete(physcial_ThubFilePath);
                    }

                    if (System.IO.File.Exists(physcial_FilePath))
                    {
                        System.IO.File.Delete(physcial_FilePath);
                    }
                }
                catch (Exception ex)
                {
                    // 这里可以添加删除异常处理
                }
            }
        }

        context.Response.Write("OK");
    }

    public bool IsReusable
    {
        get
        {
            return false;
        }
    }

    private string GetConfig(string key)
    {
        return System.Web.Configuration.WebConfigurationManager.AppSettings[key];
    }
}